<?php
class TimeRangeManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'ranges' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
), 
'create' => array( 
'result' => 'out', 
'ranges' => 'array', 
), 
'set' => array( 
'result' => 'out', 
'rangeIds' => 'array', 
'details' => 'array', 
), 
'remove' => array( 
'result' => 'out', 
'rangeIds' => 'array', 
), 
'apply' => array( 
'result' => 'out', 
), 
'reset' => array( 
), 
'getGroupList' => array( 
'groups' => 'out' 
), 
); 
protected $x_24b = array( 
'entityName' => webadmin_EntityTimeRange, 
'tuples' => array( 
array('name' => webadmin_Time, 'kind' => kerio_web_ByteLength, 'values' => array(5)), 
array('name' => webadmin_Time, 'kind' => kerio_web_Regex, 'values' => array('/^(0?[0-9]|1[0-9]|2[0-3])[:]([0-5][0-9])$/')), 
array('name' => webadmin_Date, 'kind' => kerio_web_ByteLength, 'values' => array(10)), 
array('name' => webadmin_Date, 'kind' => kerio_web_Regex, 'values' => array('/^(0[1-9]|[12][0-9]|3[01])[/](0[1-9]|1[012])[/](19|20[0-9]{2})$/')) 
) 
); 
protected $x_235 = 'webadmin::TimeRangeManagerP'; 
public function get(&$x_282, &$x_23z, $x_248) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->get(&$x_282, &$x_23z, $x_248); 
} 
return false; 
} 
public function create(&$x_232, $x_282) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_282); 
} 
return false; 
} 
public function set(&$x_232, $x_283, $x_243) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_283, $x_243); 
} 
return false; 
} 
public function remove(&$x_232, $x_283) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_283); 
} 
return false; 
} 
public function apply(&$x_232) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->apply(&$x_232); 
} 
return false; 
} 
public function reset() { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->reset(); 
} 
return false; 
} 
public function getGroupList(&$x_249) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->getGroupList(&$x_249); 
} 
return false; 
} 
}; 
?>
